Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.connectormanager
Class SimpleConnectorManager

    java.lang.Object
      org.jboss.jms.server.connectormanager.SimpleConnectorManager

All Implemented Interfaces:
  ConnectorManager

public class SimpleConnectorManager
extends java.lang.Object
implements ConnectorManager

A SimpleConnectorManager. The only function of these class is to add ConnectionListeners to Connectors as connection factories are deployed. Multiple connection factories can use the same connector and we don't want to install the connection listener more than once, so we need to reference count. If we can find out somehow if a connector already has a connection listener registered we can get rid of this class, but currently remoting does not provide this functionality

Version:
  1.1 SimpleConnectorManager.java,v 1.1 2006/04/13 19:43:05 timfox Exp
Author:
  Tim Fox

Field Summary
`protected java.util.Map` | `connectors`

Constructor Summary
`SimpleConnectorManager()`

Method Summary
`boolean` | `containsConnector(java.lang.String connectorName)`
`int` | `getCount(java.lang.String connectorName)`
`int` | `registerConnector(java.lang.String name)`
`void` | `unregisterConnector(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectors

    protected java.util.Map connectors

Constructor Detail

### SimpleConnectorManager

    public SimpleConnectorManager()

Method Detail

### unregisterConnector

    public void unregisterConnector(java.lang.String name)
                             throws java.lang.Exception

  Specified by:
    `unregisterConnector` in interface `ConnectorManager`
  Throws:
    `java.lang.Exception`

### registerConnector

    public int registerConnector(java.lang.String name)
                          throws java.lang.Exception

  Specified by:
    `registerConnector` in interface `ConnectorManager`
  Throws:
    `java.lang.Exception`

### containsConnector

    public boolean containsConnector(java.lang.String connectorName)

### getCount

    public int getCount(java.lang.String connectorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.